OGRE-Next: Ogre::DefaultShadowCameraSetup Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::DefaultShadowCameraSetup Class Reference
Core | Component » Scene

Implements default shadow camera setup. More...

`#include <OgreShadowCameraSetup.h>`

Inheritance diagram for Ogre::DefaultShadowCameraSetup:
[legend]

## Public Member Functions
| DefaultShadowCameraSetup ()
| Default constructor.
| ~DefaultShadowCameraSetup () override
| Destructor.
void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Light *light, Camera *texCam, size_t iteration, const Vector2 &viewportRealSize) const override
| Default shadow camera setup.
Public Member Functions inherited from Ogre::ShadowCameraSetup
| ShadowCameraSetup ()
virtual | ~ShadowCameraSetup ()
| Need virtual destructor in case subclasses use it.
Real | getMaxDistance () const
Real | getMinDistance () const

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::ShadowCameraSetup
static void | setUseEsm (bool useEsm)

## Detailed Description

Implements default shadow camera setup.

Remarks
  This implements the default shadow camera setup algorithm. This is what might be referred to as "normal" shadow mapping.

## Constructor & Destructor Documentation

## ◆ DefaultShadowCameraSetup()

Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup | ( |  | ) |

Default constructor.

## ◆ ~DefaultShadowCameraSetup()

Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ getShadowCamera()

void Ogre::DefaultShadowCameraSetup::getShadowCamera | ( | const SceneManager * | sm,
|  | const Camera * | cam,
|  | const Light * | light,
|  | Camera * | texCam,
|  | size_t | iteration,
|  | const Vector2 & | viewportRealSize ) const
| overridevirtual

Default shadow camera setup.

Implements Ogre::ShadowCameraSetup.

Reimplemented in Ogre::FocusedShadowCameraSetup, and Ogre::PSSMShadowCameraSetup.

The documentation for this class was generated from the following file:

- OgreShadowCameraSetup.h